package common.vc1;

public interface Vc1Constants {
	byte B0=0;
	byte B1=1;
	
	byte PICTURE_START=0x0d;
	byte ENTRY_POINT_START=0x0e;
	byte SEQUENCE_START=0x0f;
	
	int ASPECT_RATIO[][]={
		    { 0, 0 },
		    { 1, 1 },
		    { 12, 11 },
		    { 10, 11 },
		    { 16, 11 },
		    { 40, 33 },
		    { 24, 11 },
		    { 20, 11 },
		    { 32, 11 },
		    { 80, 33 },
		    { 18, 11 },
		    { 15, 11 },
		    { 64, 33 },
		    { 169, 99 },
		    { 0, 0 }};
	int FRAME_RATE_NUMERATORS[]={0, 24000, 25000, 30000, 50000, 60000, 48000, 72000};
	int FRAME_RATE_DENOMINATORS[]={0,1000,1001};
	
	int PTYPE_SKIP=0xf;
	
	String PROFILE_NAMES[]={"Simple","Main",null,"Adv"};
}
